From 21881ccb41c992914476008680a6067adae26780 Mon Sep 17 00:00:00 2001
From: ale <ale@incal.net>
Date: Sat, 18 Jan 2025 09:16:27 +0000
Subject: [PATCH] Disable retry for testsuite

---
 docker/test.sh | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

diff --git a/docker/test.sh b/docker/test.sh
index e4db5ac0..e0a847e3 100755
--- a/docker/test.sh
+++ b/docker/test.sh
@@ -3,5 +3,14 @@
 TESTSUITE_IMAGE="registry.git.autistici.org/noblogs/testsuite:main"
 
 # Run the test suite using Podman, in the foreground.
-exec podman run --rm --pull=always --env TARGET_ADDR=${TARGET_ADDR} --network=host ${TESTSUITE_IMAGE}
+podman run --rm --pull=always --env TARGET_ADDR=${TARGET_ADDR} --network=host ${TESTSUITE_IMAGE}
+rc=$?
+
+# Convert into permanent error.
+if [ $rc -gt 0 ]; then
+    echo "test suite exited with status $rc" >&2
+    exit 2
+fi
+
+exit 0
 
-- 
GitLab